Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Build Qt for Android from source



  • Hi! I have a big qt mobile project which working on Android API Level 16. Also i need some changes in qt functionality so i need to build qt from source.

    I have:
    qt(5.5 or 5.6) - build on API level 16
    myproject - buiild on qt and API level 16

    Now i want to upgrade my project on api level upper than 22 cause i need to proceed runtime permissions and some new functionality.

    So my question is: do i need to build qt on 23 level and is it possible? does all modules will work correct on Qt build on API 16 if i will use device on Android Marshmallow or i just need to upgrade only my project?

    Thanks!


Log in to reply